Bug 848797 - libvirt-lxc scalability issues
libvirt-lxc scalability issues
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 08:31 EDT by Daniel Walsh
Modified: 2012-10-30 17:41 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-27 14:00:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-08-16 08:31:34 EDT
As I play with virt-sandbox-service.  I am seeing more an more issues that look like deadlocks.  I can not seem to start more then 47 containers, without libvirt freezing up, even if I change MAX_CONNECTIONS to 200.  I also started 25 containers and found a couple of hours later libvirt unusable.  The only way to get it working again was to kill everything.  Cleanout /run/libvirt/lxc/* and then restart libvirtd.
Comment 1 Cole Robinson 2012-10-17 16:46:36 EDT
dwalsh, if you are still reproducing, can you get this output when libvirt appears to be deadlocked?

debuginfo-install libvirt
pstack `pidof libvirtd`
Comment 2 Cole Robinson 2012-10-27 14:00:10 EDT
The libvirt lxc had some serious plumbing changes in F18 since this bug was filed (switching to the internal virNetClient APIs), so this may not even be valid anymore.

Closing as INSUFFICIENT_DATA. Dan, if you can still reproduce, please reopen with the info requested in Comment #1
Comment 3 Daniel Walsh 2012-10-30 16:08:42 EDT
Fired off 100 containers and they seem to be working.

libvirt-0.10.2.1-1.fc19.x86_64

Is this package in F18?
Comment 4 Eric Blake 2012-10-30 17:41:59 EDT
Yes, 0.10.2.1-1 was built for both F18 and F19.

Note You need to log in before you can comment on or make changes to this bug.